package com.seamew.lottery.application.process.res;

import com.seamew.lottery.common.Result;
import com.seamew.lottery.domain.strategy.model.vo.DrawAwardVO;

/**
 * @Author: seamew
 * @Title: DrawProcessResult
 * @CreateTime: 2023年02月24日 16:18:00
 * @Description: 活动抽奖结果
 * @Version: 1.0
 */
public class DrawProcessResult extends Result {

    private DrawAwardVO drawAwardVO;

    public DrawProcessResult(String code, String info) {
        super(code, info);
    }

    public DrawProcessResult(String code, String info, DrawAwardVO drawAwardVO) {
        super(code, info);
        this.drawAwardVO = drawAwardVO;
    }

    public DrawAwardVO getDrawAwardVO() {
        return drawAwardVO;
    }

    public void setDrawAwardVO(DrawAwardVO drawAwardVO) {
        this.drawAwardVO = drawAwardVO;
    }
}
